
function [Con_A]=construct_image(A,options);

% A  denotes the image matrix, the size is m*n*N
%    N denotes the number of images
%    m and n are the row and column of image, respectively.

[m,n,N]= size(A);
Con_A = zeros(m,n,2*N);
for i = 1 : N
    a = A(:,:,i);
    [U,D,V] = svd(a);
    Con_A(:,:,2*i-1) = U(:,1:options.k)*D(1:options.k,1:options.k)*V(:,1:options.k)';
    Con_A(:,:,2*i) = a;
end
clear A;